UDP(3)

NAME
packet.transport.udp - UDP module

DESCRIPTION

Decode UDP layer.

CLASSES

  class UDP(baseobj.BaseObj)
UDP object

Usage:
    from packet.transport.udp import UDP

    x = UDP(pktt)

Object definition:

UDP(
    src_port = int,
    dst_port = int,
    length   = int,
    checksum = int,
    psize    = int,       # payload data size
    data     = string,    # raw data of payload if unable to decode
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

SEE ALSO
baseobj(3), packet.application.dns(3), packet.application.krb5(3), packet.application.ntp4(3), packet.application.rpc(3), packet.transport.ib(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)